﻿#target "indesign"
// 選択されたテキストフレームを行ごとに分割する
var selObj = app.selection;
for(var i=0; i<selObj.length; i++){
    sepLine(selObj[i]);
}
// 行分割する関数
// 渡されたテキストフレームを行単位で分割する
function sepLine(tfObj){
    if (!tfObj){ return null; } // 引数が指定されていない場合は戻す
    if (tfObj.constructor.name != "TextFrame"){
        return null;    // テキストフレームでない場合はは戻す
    }
    var lines = tfObj.lines;    // 何行あるか読み出す
    var baseX = tfObj.geometricBounds[1];  // 左座標
    var baseY = tfObj.geometricBounds[0];  // 上座標
    var startY = baseY; // 開始Y座標
    var offsetY = 2;    // 分割後の各テキストフレームの空き
    // 行の数だけ繰り返す
    for(var i=0; i<lines.length; i++){
        var dup = tfObj.duplicate([baseX, startY+"mm"]);
        for(var j=dup.lines.length-1; j>=0; j--){
            if (i == j){ continue; }
            dup.lines[j].remove();
        }
        dup.fit(FitOptions.frameToContent); // 複製する
        var bottom = dup.geometricBounds[2];   // 下座標
        var leading = bottom - startY;  // 行間を求める
        startY = startY + leading + offsetY;
    }
    tfObj.remove(); // 元のテキストフレームを削除する
}
